#
# spec file for package python-magic-wormhole
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() %{!?skip_python2:python-%{**}} %{!?skip_python3:python3-%{**}}}
%define modname magic-wormhole
Name:           python-magic-wormhole
Version:        0.10.5
Release:        bp154.2.19
Summary:        Securely transfer data between computers
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/warner/magic-wormhole
Source:         https://files.pythonhosted.org/packages/source/m/magic-wormhole/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module service_identity}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Automat
Requires:       python-PyNaCl
Requires:       python-Twisted >= 17.5.0
Requires:       python-attrs >= 16.3.0
Requires:       python-autobahn >= 0.14.1
Requires:       python-click
Requires:       python-hkdf
Requires:       python-humanize
Requires:       python-service_identity
Requires:       python-six
Requires:       python-spake2 = 0.8
Requires:       python-tqdm >= 4.13.0
Requires:       python-txtorcon >= 0.19.3
Suggests:       python-magic-wormhole-transit-relay = 0.1.0
Suggests:       python-mock
Suggests:       python-pyflakes
Suggests:       python-pypiwin32
Suggests:       python-tox
BuildArch:      noarch

%python_subpackages

%description
This package provides a library and a command-line tool named wormhole,
which makes it possible to get arbitrary-sized files and directories from
one computer to another. The two endpoints are identified by using identical
"wormhole codes": in general, the sending machine generates and displays
the code, which must then be typed into the receiving machine.

%prep
%setup -q -n %{modname}-%{version}

sed -i -e '/ipaddress/d' setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone %{buildroot}%{_bindir}/wormhole
%python_clone %{buildroot}%{_bindir}/wormhole-server

%files %{python_files}
%license LICENSE
%doc NEWS.md README.md
%{_bindir}/wormhole-%{python_bin_suffix}
%{_bindir}/wormhole-server-%{python_bin_suffix}
%python3_only %{_bindir}/wormhole
%python3_only %{_bindir}/wormhole-server
%{python_sitelib}/*

%changelog
* Thu Mar  3 2022 Matej Cepl <mcepl@suse.com>
- Module ipaddress is part of the standard library now
  (bsc#1195072).
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Mar 12 2018 tchvatal@suse.com
- Drop the test sections as the tests require the package to be
  installed
* Mon Mar 12 2018 tchvatal@suse.com
- Properly handle singlespec to allow py2 and py3 build
* Mon Mar 12 2018 tchvatal@suse.com
- Rename to python-*
- Allow python2 build
* Fri Mar  2 2018 avvissu@yandex.by
- Initial package
